summaryrefslogtreecommitdiffstats
path: root/system/newrelic-sysmond
diff options
context:
space:
mode:
Diffstat (limited to 'system/newrelic-sysmond')
-rw-r--r--system/newrelic-sysmond/README3
-rw-r--r--system/newrelic-sysmond/doinst.sh26
-rw-r--r--system/newrelic-sysmond/newrelic-sysmond.SlackBuild91
-rw-r--r--system/newrelic-sysmond/newrelic-sysmond.info10
-rw-r--r--system/newrelic-sysmond/slack-desc19
5 files changed, 149 insertions, 0 deletions
diff --git a/system/newrelic-sysmond/README b/system/newrelic-sysmond/README
new file mode 100644
index 0000000000..e78ccc5225
--- /dev/null
+++ b/system/newrelic-sysmond/README
@@ -0,0 +1,3 @@
+This package contains the newrelic-sysmond program by Newrelic.
+It will monitor your server's system resources and report them back
+to your Newrelic account.
diff --git a/system/newrelic-sysmond/doinst.sh b/system/newrelic-sysmond/doinst.sh
new file mode 100644
index 0000000000..447c1ab062
--- /dev/null
+++ b/system/newrelic-sysmond/doinst.sh
@@ -0,0 +1,26 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+config etc/newrelic/nrsysmond.cfg.new
+preserve_perms etc/rc.d/rc.nrsysmond.new
diff --git a/system/newrelic-sysmond/newrelic-sysmond.SlackBuild b/system/newrelic-sysmond/newrelic-sysmond.SlackBuild
new file mode 100644
index 0000000000..3e5cf79abb
--- /dev/null
+++ b/system/newrelic-sysmond/newrelic-sysmond.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for newrelic-sysmond
+
+# Copyright 2014 Steven King
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=newrelic-sysmond
+VERSION=${VERSION:-1.3.1.437}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ BINARCH=x86
+elif [ "$ARCH" = "x86_64" ]; then
+ BINARCH=x64
+else
+ echo "$ARCH is not supported"
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-linux
+tar xvf $CWD/$PRGNAM-$VERSION-linux.tar.gz
+cd $PRGNAM-$VERSION-linux
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/var/run/newrelic $PKG/var/log/newrelic
+
+install -m 0644 -D nrsysmond.cfg $PKG/etc/newrelic/nrsysmond.cfg.new
+
+install -m 0755 -D daemon/nrsysmond.$BINARCH $PKG/usr/sbin/nrsysmond
+
+install -m 0755 -D scripts/nrsysmond-config $PKG/usr/sbin/nrsysmond-config
+
+install -m 0755 -D scripts/newrelic-sysmond.init.rhel \
+ $PKG/etc/rc.d/rc.nrsysmond.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ INSTALL.txt LICENSE.txt MD5SUMS scripts \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/newrelic-sysmond/newrelic-sysmond.info b/system/newrelic-sysmond/newrelic-sysmond.info
new file mode 100644
index 0000000000..6502ee6dbd
--- /dev/null
+++ b/system/newrelic-sysmond/newrelic-sysmond.info
@@ -0,0 +1,10 @@
+PRGNAM="newrelic-sysmond"
+VERSION="1.3.1.437"
+HOMEPAGE="https://newrelic.com"
+DOWNLOAD="http://mirrors.kingrst.com/newrelic/newrelic-sysmond-1.3.1.437-linux.tar.gz"
+MD5SUM="502d3d60e7153cbee5825f2550510d5e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README%"
+MAINTAINER="Steven King"
+EMAIL="kingrst@gmail.com"
diff --git a/system/newrelic-sysmond/slack-desc b/system/newrelic-sysmond/slack-desc
new file mode 100644
index 0000000000..dae11aa9a9
--- /dev/null
+++ b/system/newrelic-sysmond/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+newrelic-sysmond: newrelic-sysmond (server monitor application)
+newrelic-sysmond:
+newrelic-sysmond: This package contains the newrelic-sysmond program by Newrelic.
+newrelic-sysmond: It will monitor your server's system resources and report them back
+newrelic-sysmond: to your Newrelic account.
+newrelic-sysmond:
+newrelic-sysmond: homepage: http://newrelic.com
+newrelic-sysmond:
+newrelic-sysmond:
+newrelic-sysmond:
+newrelic-sysmond: